#include<bits/stdc++.h>
using namespace std;
int main(){
int n,k;
cin>>n>>k;
int biskvitki[100000];
for(int i=0;i<n;i++){
    cin>>biskvitki[i];
}

int pobitovoIli=0,broi=0;
for(int i=0;i<n-2;i++){
    pobitovoIli=biskvitki[i]|biskvitki[i+1];
    if(pobitovoIli>=k){
        broi++;
    }
    for(int j=i+2;j<n;j++){
        pobitovoIli=pobitovoIli|biskvitki[j];
        if(pobitovoIli>=k){
            broi++;
        }
    }
}
pobitovoIli=biskvitki[n-2]|biskvitki[n-1];
if(pobitovoIli>=k){
    broi++;
}
cout<<broi<<endl;
return 0;
}
